#include <iostream>
using namespace std;

void listar(float v[], int n);
void inserir(float v[], int &n, int max, float valor);
void bubbleSort(float v[], int n);

int main(void) {

    float notas[50], nota;
    int n = 0;
    int pos;

    do {
        cout << "Digite uma nota: ";
        cin >> nota;
        if (nota >= 0) inserir(notas, n, 50, nota);
    } while (nota >= 0);

    listar(notas,n);
    bubbleSort(notas,n);
    cout << "***" << endl;
    listar(notas,n);

}

void bubbleSort(float v[], int n) {
    int i;
    bool inverteu;
    float temp;

    // Repete rotina de inverses enquanto alguma inverso ocorrer
    do {
        inverteu = false;
        // Rotina de inverses
        for (i=0; i<n-1; i++) {
            if (v[i]>v[i+1]) {
                temp = v[i];
                v[i]=v[i+1];
                v[i+1]=temp;
                inverteu = true;
            }
        }
    } while(inverteu);
}


void inserir(float v[], int &n, int max, float valor) {
    int i;
    // Verifica se h espao na lista
    if (n == max) {
        cout << "ERRO: Lista cheia!" << endl;
        return;
    }
    // Insere elemento
    v[n] = valor;
    n++;
}

void listar(float v[], int n) {
    int i;
    for (i=0; i<n; i++) cout << v[i] << endl;
}

